set CA_DIR=%~dp0..\
set CA_COM="BKTurbo8_x64.exe"
set CA_B2O="BKbin2obj_x64.exe"

set ASSEMBLER=%CA_DIR%%CA_COM%
set BIN2OBJ=%CA_DIR%%CA_B2O%

%ASSEMBLER% -r -l co par11d.asm
%ASSEMBLER% -r -l co parlink.asm
%ASSEMBLER% -l -o cl arbk11.asm
%ASSEMBLER% -r -l li arbk11.par arbk11.obj
%ASSEMBLER% -l -o cl arithm.asm
%ASSEMBLER% -r -l li arithm.par arithm.obj
%ASSEMBLER% -l -o cl diskwr.asm
%ASSEMBLER% -r -l li diskwr.par diskwr.obj
%ASSEMBLER% -l -o cl search.asm
%ASSEMBLER% -r -l li search.par search.obj
%ASSEMBLER% -l -o cl sprite.asm
%ASSEMBLER% -r -l li sprite.par sprite.obj
%ASSEMBLER% -l -o cl strace.asm
%ASSEMBLER% -r -l li strace.par strace.obj
%ASSEMBLER% -l -o cl tracer.asm
%ASSEMBLER% -r -l li tracer.par tracer.obj
%ASSEMBLER% -l -o cl window.asm
%ASSEMBLER% -r -l li window.par window.obj

md out
copy *.bin out\*
copy *.raw out\*
copy *.lst out\*

del *.bin
del *.raw
del *.obj
del *.lst
